org.eclipse.actf.ui.util.timer

## Interface WaitExecSyncEventHandler

All Superinterfaces:
  Runnable

All Known Implementing Classes:
  WaitForBrowserReadyHandler

    public interface WaitExecSyncEventHandler
    extends Runnable

The interface for implementing an event handler that periodically check if action can be executed right now. If canRun becomes true, the run method will be executed. The implementation will be set to `WaitExecSyncEventListener`.

See Also:
  `WaitExecSyncEventListener`

### Method Summary

Methods
`boolean` `canRun(double elapsed)` Check if action can be executed right now
`double` `getInterval()` Get scheduling interval in second

### Methods inherited from interface java.lang.Runnable

`run`

### Method Detail

#### getInterval

    double getInterval()

Get scheduling interval in second

Returns:
  scheduling interval in second

#### canRun

    boolean canRun(double elapsed)

Check if action can be executed right now

Parameters:
  `elapsed` - elapsed time
Returns:
  true if run method can be executed